using CaseAccountingContracts.BindingModels;
using CaseAccountingContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.BusinessLogicContracts
{
    public interface IReportProviderLogic
    {
        List<ReportCaseSpecializationViewModel> GetCaseSpecialization(List<CaseViewModel> models);

        List<ReportHearingLawyerViewModel> GetHearingLawyer(ReportBindingModel model);

        byte[] SaveListFile(CaseSpecializationListBindingModel model);

        void SendByMailStatusReport(ReportBindingModel reportModel);
    }
}
